//
// Created by fedal on 16/12/20.
//

#ifndef JULIA_ANDROID_PCA9535ENUMS_H
#define JULIA_ANDROID_PCA9535ENUMS_H
typedef enum {
    GPIO_PIN_0,
    GPIO_PIN_1,
    GPIO_PIN_2,
    GPIO_PIN_3,
    GPIO_PIN_4,
    GPIO_PIN_5,
    GPIO_PIN_6,
    GPIO_PIN_7,
    GPIO_PIN_10 = 8,
    GPIO_PIN_11,
    GPIO_PIN_12,
    GPIO_PIN_13,
    GPIO_PIN_14,
    GPIO_PIN_15,
    GPIO_PIN_16,
    GPIO_PIN_17
} Pca9535Channels_e;

typedef enum {
    CMD_INPUT_PORT_0 = 0X00,
    CMD_INPUT_PORT_1 = 0X01,
    CMD_OUTPUT_PORT_0 = 0X02,
    CMD_OUTPUT_PORT_1 = 0X03,
    CMD_INVERSION_PORT_0 = 0X04,
    CMD_INVERSION_PORT_1 = 0X05,
    CMD_CONFIG_PORT_0 = 0X06,
    CMD_CONFIG_PORT_1 = 0X07,
    CONFIG_OUTPUT = 0X00,
    CONFIG_INPUT = 0X01,
    PORT_0 = 0x00,
    PORT_1 = 0X00,
    DATA_OUTPUT_PORT_0 = 0x00,
    DATA_OUTPUT_PORT_1 = 0X00
} pca_9535_registers_e;

#endif //JULIA_ANDROID_PCA9535ENUMS_H
